<div class="card mb-4">
	<div class="card-header"> 
		<i class="fas fa-table mr-1"></i> Información
	</div>
	<div class="card-body">
		<div class="table-responsive">
			<table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
				<thead>
					<tr>
						<th>Código</th>
						<th>Nombres Modelos</th>
						<th style=" width: 7%;">Acción</th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<th>Código</th>
						<th>Nombres Modelos</th>
						<th>Acción</th>
					</tr>
				</tfoot>
				<tbody>
					<tr *ngFor="let pareja of parejas">
						<td>{{ pareja.id }}</td>
						<td>{{ pareja.modeloinfo.name + ' '+ pareja.modeloinfo.lastname + ' / '+pareja.pareja.name + ' '+ pareja.pareja.lastname }}</td>
						<td style="text-align: center;">
							<a *ngxPermissionsOnly="'nicks_parejas_detail'" class="badge badge-pill badge-info" href="javascript:void(0)" (click)="cargarDatos(pareja)" data-toggle="modal" data-target="#formularioCreacion"><i class="fas fa-eye"></i></a>
						</td> 
					</tr>
				</tbody>
			</table>
		</div>
	</div>
</div>

<div class="modal fade " id="formularioCreacion" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Detalle</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form [formGroup]="nickForm" (ngSubmit)="onSaveForm()">
	      <div class="modal-body"> 
	      	<div class="container-fluid">
	      		<div class="row">
	      			<div class="col-md-12" style="z-index: 1;"> 
	      				<a *ngxPermissionsOnly="'nicks_parejas_detail_create'" href="javascript:void(0)" class="badge badge-pill badge-primary" style=" float: right; font-size: 14px; " data-toggle="modal" (click)="onToggleForm()"><i class="fas fa-plus-circle"></i> Nuevo Nick</a>
	      			</div>
	      		</div>
	      		<div style="margin-top: -25px; display: none;" id="divForm">
	      			<div class="row" >
		      			<div class="col-md-6">
		        			<label for="recipient-name" class="col-form-label">Modelo: </label> 
		        			<input type="text" value="{{ nombre }}" class="form-control" disabled="">
			            </div>
			            <div class="col-md-6">
		        			<label for="recipient-name" class="col-form-label">Página: </label> 
		        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.page_id.invalid && (submitted || f.page_id.touched))"> El campo es requerido</label>
		        			<ng-select placeholder='-- Seleccionar --' [items]="paginas" bindLabel="name" formControlName="page_id"  bindValue="id"></ng-select>
			            </div> 
		      		</div>
	      			<div class="row">  
		        		<div class="col-md-4">
		        			<label for="recipient-name" class="col-form-label">Nickname: </label> 
		        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.nickname.invalid && (submitted || f.nickname.touched))"> El campo es requerido</label>
		        			<input type="text" class="form-control" formControlName="nickname" [ngClass]="{ 'is-invalid': f.nickname.errors && (f.nickname.touched || submitted), 'is-valid': f.nickname.touched && !f.nickname.errors}">
			            </div>
			            <div class="col-md-4">
		        			<label for="recipient-name" class="col-form-label">Password: </label> 
		        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.password.invalid && (submitted || f.password.touched))"> El campo es requerido</label>
		        			<input type="password" class="form-control" formControlName="password" [ngClass]="{ 'is-invalid': f.password.errors && (f.password.touched || submitted), 'is-valid': f.password.touched && !f.password.errors}">
			            </div>
			            <div class="col-md-4">
		        			<label for="recipient-name" class="col-form-label">URL Logueo: </label> 
		        			<label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="(f.url.invalid && (submitted || f.url.touched))"> El campo es requerido</label>
		        			<input type="text" class="form-control" formControlName="url" [ngClass]="{ 'is-invalid': f.url.errors && (f.url.touched || submitted), 'is-valid': f.url.touched && !f.url.errors}">
			            </div>
		        	</div>
		        	<div class="row" style="margin-top: 10px; "> 
		        		<div class="col-md-12">
		        			<button type="submit" style="float: right;" class="btn btn-success btn-sm" id="btnGuardar">{{ textbtn }}</button>
		        		</div>
		        	</div>
		        	<hr>
	      		</div>
	        	<div class="row" style="margin-top: 10px;">
	        		<div class="col-md-12"> 
	        			<table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
							<thead>
							<tr>
								<th>Página</th>
								<th>Nick Name</th>
								<th>Clave</th>
								<th style=" width: 115px;">Acción</th>
							</tr>
							</thead>
							<tfoot>
								<tr>
									<th>Página</th>
									<th>Nick Name</th>
									<th>Clave</th>
									<th>Acción</th>
								</tr>
							</tfoot>
							<tbody>
								<tr *ngFor="let nick of nicks">
									<td>{{ nick.pagina.name }}</td>
									<td>{{ nick.nickname }}</td>
									<td>{{ nick.password }}</td>
									<td style=" text-align: center;">
										<a *ngxPermissionsOnly="'nicks_parejas_detail_edit'"  class="badge badge-pill badge-primary" style=" font-size: 13px;" href="javascript:void(0)" (click)="onEditar(nick)" ><i class="fas fa-edit"></i></a>
										<a *ngxPermissionsOnly="'nicks_parejas_detail_delete'"  class="badge badge-pill badge-danger" href="javascript:void(0)" style=" margin-left: 10px;" (click)="onEliminar(nick)"><i class="fas fa-trash-alt"></i></a>
									</td>
								</tr>
							</tbody>
						</table> 
	        		</div>
	        	</div>
	    	</div>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" id="btnCerrar" data-dismiss="modal">Cerrar</button>
	      </div>
      </form>
    </div>
  </div>
</div>



